curl --request POST \
--url https://staging.debt-wise.com/api/users/{id}/equifax/auth/identity \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"postal_code": "30030"
}
'
{
"equifax_id": "6308009234534",
"first_name": "John",
"last_name": "Smith",
"date_of_birth": "1990-10-10",
"email": "john_smith@email.com",
"mobile_phone": "990909000",
"masked_ssn": "***-**-0909",
"home_phone": "990909000",
"addresses": [
{
"type": "CURRENT",
"address_line": "3 Avenue",
"city": "New York",
"state": "NY",
"postal_code": "30030"
}
]
}{
"error": {
"code": "validation_error",
"message": "Date of Birth is invalid"
}
}{
"error": {
"code": "internal_server_error",
"message": "We've notified our engineers and hope to address this issue shortly."
}
}Equifax
Identity
Returns user’s identity to validate all information.
POST
/
api
/
users
/
{id}
/
equifax
/
auth
/
identity
curl --request POST \
--url https://staging.debt-wise.com/api/users/{id}/equifax/auth/identity \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"postal_code": "30030"
}
'
{
"equifax_id": "6308009234534",
"first_name": "John",
"last_name": "Smith",
"date_of_birth": "1990-10-10",
"email": "john_smith@email.com",
"mobile_phone": "990909000",
"masked_ssn": "***-**-0909",
"home_phone": "990909000",
"addresses": [
{
"type": "CURRENT",
"address_line": "3 Avenue",
"city": "New York",
"state": "NY",
"postal_code": "30030"
}
]
}{
"error": {
"code": "validation_error",
"message": "Date of Birth is invalid"
}
}{
"error": {
"code": "internal_server_error",
"message": "We've notified our engineers and hope to address this issue shortly."
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
We can compress a response with gzip.
Example:
"gzip deflate"
API API Version. See Versioning page for more details.
Example:
"2024-07-01"
Path Parameters
An userId.
Example:
1
Body
application/json
Response
Returns Identity
Equifax internal ID of the user identity
Example:
"6308009234534"
Equifax user's first name
Example:
"John"
Equifax user's last name
Example:
"Smith"
Equifax user's date of birth in /Month/Day/Year format
Example:
"1990-10-10"
Equifax user's email
Example:
"john_smith@email.com"
Equifax user's mobile phone
Example:
"990909000"
Equifax user's masked SSN. Only last 4 digits are provided.
Example:
"***-**-0909"
Equifax user's home phone
Example:
"990909000"
Show child attributes
Show child attributes